<?php
/**
 *      [QKSHOP] (C) QIKEWEB Inc.
 *      This is NOT a freeware, use is subject to license terms
 */

class Editor{
	private $content;
	function show($editor=null){
		if(!$editor){
			$editor = "ueditor";
		}
		require_once(ROOT_PATH."plugins/editor/$editor/".ucfirst($editor).".class.php");
		$ec = ucfirst($editor);
		$e = new $ec();
		$e->setContent($this->content);
		$e->show();
	}
	function html($editor=null){
		if(!$editor){
			$editor = "ueditor";
		}
		require_once(ROOT_PATH."plugins/editor/$editor/".ucfirst($editor).".class.php");
		$ec = ucfirst($editor);
		$e = new $ec();
		$e->setContent($this->content);
		return $e->html();
	}
	function setContent($content=""){
		$this->content = $content;
	}
}
?>